Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.torque.templates.typemapping
Class SqlTypeWithJdbcType

    java.lang.Object
      org.apache.torque.templates.typemapping.SqlTypeWithJdbcType

    public class SqlTypeWithJdbcType

extends Object

The SQL type data for a column. Can contain additional information such as default size, scale and defaultValue. This class is immutable.

Version:
  $Id: SqlTypeWithJdbcType.java 1402632 2012-10-26 19:40:58Z tfischer $

Constructor Summary
`SqlTypeWithJdbcType(SqlTypeWithJdbcType sqlType, String size, String scale, String defaultValue)` Creates a new SqlType by copying another sql type.
`SqlTypeWithJdbcType(String sqlTypeName, int jdbcType)` Creates a new SqlType with the given SQL Type.
`SqlTypeWithJdbcType(String sqlTypeName, int jdbcType, String size)` Creates a new SqlType with null scale and null default value.
`SqlTypeWithJdbcType(String sqlTypeName, int jdbcType, String size, String scale)` Creates a new SqlType with null default value.
`SqlTypeWithJdbcType(String sqlTypeName, int jdbcType, String size, String scale, String defaultValue)` Creates a new SqlType.

Method Summary
`String` | `getDefaultValue()`
`int` | `getJdbcType()`
`String` | `getScale()`
`String` | `getSize()`
`String` | `getSqlTypeName()`
`String` | `printSize()` Return the size and scale in brackets for use in an SQL script.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SqlTypeWithJdbcType

    public SqlTypeWithJdbcType(String sqlTypeName,
                               int jdbcType)

  Creates a new SqlType with the given SQL Type. Size, scale and defaultValue are set to null.

  Parameters:
    `sqlType` - the SQL name of the SQL type, not null.
    `jdbcType` - the jdbc type as in `java.sql.types`.
  Throws:
    `NullPointerException` - if sqlTypeName is null.

### SqlTypeWithJdbcType

    public SqlTypeWithJdbcType(String sqlTypeName,
                               int jdbcType,
                               String size)

  Creates a new SqlType with null scale and null default value.

  Parameters:
    `sqlTypeName` - the SQL name of the SQL type, not null.
    `jdbcType` - the jdbc type as in `java.sql.types`.
    `size` - the default size of the columns with this SQL type. Can be overridden in the column definition.
  Throws:
    `NullPointerException` - if sqlTypeName is null.

### SqlTypeWithJdbcType

    public SqlTypeWithJdbcType(String sqlTypeName,
                               int jdbcType,
                               String size,
                               String scale)

  Creates a new SqlType with null default value.

  Parameters:
    `sqlTypeName` - the SQL name of the SQL type, not null.
    `jdbcType` - the jdbc type as in `java.sql.types`.
    `size` - the default size of the columns with this SQL type. Can be overridden in the column definition.
    `scale` - the default scale of the columns with this SQL type. Can be overridden in the column definition.
  Throws:
    `NullPointerException` - if sqlTypeName is null.

### SqlTypeWithJdbcType

    public SqlTypeWithJdbcType(String sqlTypeName,
                               int jdbcType,
                               String size,
                               String scale,
                               String defaultValue)

  Creates a new SqlType.

  Parameters:
    `sqlTypeName` - the SQL name of the SQL type, not null.
    `jdbcType` - the jdbc type as in `java.sql.types`.
    `size` - the default size of the columns with this SQL type. Can be overridden in the column definition.
    `scale` - the default scale of the columns with this SQL type. Can be overridden in the column definition.
    `defaultValue` - the default "default value" of the columns with this SQL type. Can be overridden in the column definition.
  Throws:
    `NullPointerException` - if sqlTypeName is null.

### SqlTypeWithJdbcType

    public SqlTypeWithJdbcType(SqlTypeWithJdbcType sqlType,
                               String size,
                               String scale,
                               String defaultValue)

  Creates a new SqlType by copying another sql type.

  Parameters:
    `sqlType` - the SQL type, to copy, not null.
    `size` - the default size of the columns with this SQL type. Can be overridden in the column definition. If null, the size from sqlType is used.
    `scale` - the default scale of the columns with this SQL type. Can be overridden in the column definition. If null, the scale from sqlType is used.
    `defaultValue` - the default "default value" of the columns with this SQL type. Can be overridden in the column definition. If null, the defaultValue from sqlType is used.
  Throws:
    `NullPointerException` - if sqlType is null.

Method Detail

### getScale

    public String getScale()

  Returns:
    Returns the scale.

### getSize

    public String getSize()

  Returns:
    Returns the size.

### getDefaultValue

    public String getDefaultValue()

  Returns:
    Returns the defaultValue.

### getSqlTypeName

    public String getSqlTypeName()

  Returns:
    Returns the SQL type name for this column type.

### getJdbcType

    public int getJdbcType()

  Returns:
    Returns the jdbc type tas in `java.sql.types`.

### printSize

    public String printSize()

  Return the size and scale in brackets for use in an SQL script.

  Returns:
    size and scale or an empty String if there are no values available.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 The Apache Software Foundation. All Rights Reserved.